@charset "utf-8";

.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 50;
    background: rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}

.popup--top {
    background: rgba(0, 0, 0, 0.6);
}

.popup__inner {
    position: relative;
}

.close-btn {
    position: absolute;
    top: -30px;
    right: 0;
    background-color: #000;
    width: 30px;
    height: 30px;
    border-radius: 15px;
}

.close-btn span {
    background: #fff;
    display: block;
    height: 2px;
    width: 20px;
}

.close-btn span:first-child {
    transform: rotate(-45deg) translate(-5px, 13px);
}

.close-btn span:last-child {
    transform: rotate(45deg) translate(12px, 4px);
}

.popup p {
    color: #000;
    text-align: center;
    text-shadow: 1px 1px 0 #fff, -1px 1px 0 #fff, 1px -1px 0 #fff, -1px -1px 0 #fff;
}

.popup__link__img {
    /* background-color: #000; */
    max-width: 600px;
    width: 95%;
    margin: 0 auto;
    padding: 10px;
}

.popup__link__img--top {
    /* background-color: #000; */
    max-width: 600px;
    width: 90%;
    margin: 0 auto;
    /* padding: 20px; */
}